<!--
ICON

---------------------------------------------------------------
Copyright (C) 2004-2024, DWD, MPI-M, DKRZ, KIT, ETH, MeteoSwiss
Contact information: icon-model.org

See AUTHORS.TXT for a list of authors
See LICENSES/ for license information
SPDX-License-Identifier: CC0-1.0
---------------------------------------------------------------
-->

## What is the new feature
_Please describe your feature in a couple of words._
## How is it implemented
_Describe important implementation details of the feature._

## Mandatory steps before review
- [ ] Gitlab CI passes _(Hint: use `make format` for linting)_ 
- [ ] New feature is covered by additional unit tests
- [ ] Mark the merge request as ready by removing `Draft:`

## Mandatory steps before merge
- [ ] Test coverage does not decrease
- [ ] Reviewed by a maintainer
- [ ] Incorporate review suggestions
- [ ] Remember to edit the commit message and select the proper changelog category (feature/bugfix/other)

**You are not supposed to merge this request by yourself, the maintainers of fortan-support take care of this action!**
